VM

error in VM 8.2.0_b after upgrading gentoo

Asked by damien wetzel on 2013-03-06

hello i upgraded my gentoo box, and now when i hit the get-new-mail button i'm having that error :
vm-pop-make-session: Variable binding depth exceeds max-specpdl-size
any hints ?

Question information

Language:
English Edit question
Status:
Answered
For:
VM Edit question
Assignee:
No assignee Edit question
Last query:
2013-03-06
Last reply:
2013-03-07
John Hein (xpqheqdvq4) said : #1

If you go to the bug query page...

https://bugs.launchpad.net/vm/+filebug

and enter max-specpdl-size, do any of the bugs that show up fit your situation?

damien wetzel (dwetzel) said : #2

yes, it seems to be the same bug.
i downgraded to 8.1.2 and it works again. is there a fix for this ?
thanks a lot

John Hein (xpqheqdvq4) said : #3

There are three bug hits that I saw. Which one fits your issue? Are you using pop? imap? All three of those bugs have fixes, and I thought the first two should be fixed in 8.2.0b. But in any case, we can find the patch associated with the bug fix, then you can apply it locally or try the trunk.

damien wetzel (dwetzel) said : #4

it is Bug #932964 the pop issue
damien,

John Hein (xpqheqdvq4) said : #5

That was allegedly fixed by this commit...

http://bazaar.launchpad.net/~vm/vm/trunk/revision/1362

... which is not in 8.2.0b

Try applying that patch locally (to test you can just manually apply to a copy of the files and 'load-file' them).

damien wetzel (dwetzel) said : #6

Hi,
i tried to load-file the 3 files of that revision, the error disappeared but vm
wasn't working, i couldn't get new mail.
So i went back to 8.1.2 which works fine, i will wait for the next release to test again.
thank you for your help.
Damien,

Can you help with this problem?

Provide an answer of your own, or ask damien wetzel for more information if necessary.

To post a message you must log in.